#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2022                                      #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   20220131    PJ46608 - multi-JVM and system selector support       #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################

class InsertMany(object):

    def __init__(self, pre_insert, rows=None):
        self.pre_insert = pre_insert
        self.rows = rows

        if rows is None:
            self.rows = []

    def add_row(self, row):
        self.rows.append(row)

    def merge(self, other: 'InsertMany'):
        self.rows += other.rows
